curl --request GET \
--url https://api.jtl-cloud.com/erp/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/suppliers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"Type": "<string>",
"SupplierNo": "<string>",
"InternalCustomerId": "<string>",
"LanguageISO": "<string>",
"FormOfAddress": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Company": "<string>",
"Company2": "<string>",
"Contact": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"Phone": "<string>",
"PhoneExtension": "<string>",
"Fax": "<string>",
"Email": "<string>",
"Website": "<string>",
"Comment": "<string>",
"VatID": "<string>",
"Status": "<string>",
"LastChangedDate": "2023-11-07T05:31:56Z"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Suppliers
Query all suppliers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
Returns all suppliers.
Unique ID to identify a supplier.
Supplier name.
Supplier ID number.
Internal customer ID of the supplier.
The language ISO of a supplier.
The form of address of the supplier.
Supplier first name.
Supplier last name.
Name of the supplier's company.
The additional address infomation about the company.
Supplier's contact person.
Supplier's street and house number.
Additional address information.
Supplier's postal code.
Supplier's city.
Supplier's state.
Country ISO code of the address.
Supplier's main telephone number.
Supplier's telephone number extension.
Supplier's fax number.
Supplier's email address.
Supplier's website.
Additional information about the supplier.
Supplier's VAT ID number.
Supplier's status.
Last change date of the supplier.
Was this page helpful?